# Get-RASTheme.md

## NAME

Get-RASTheme

## SYNOPSIS

Retrieves information about one or multiple Parallels RAS themes.

## SYNTAX

**Get-RASTheme** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASTheme** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple Parallels RAS themes.

The cmdlet returns an array of objects of type Theme.

To see the complete list of object properties, use the Format-List cmdlet (see examples).

## PARAMETERS

## Name (string)

The name of the theme for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the theme information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the theme for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Theme](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/theme.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTheme | Format-List

Retrieves the list of all available Parallels RAS themes.

The Format-List cmdlet formats the display output to include all available settings for each theme.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTheme "mycompany"

Retrieves information about a theme specified by theme name.\
\*\*---------- EXAMPLE 3 ----------

Get-RASTheme -Id 1

Retrieves information about a theme specified by ID.

## RELATED LINKS

* [New-RASTheme](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastheme.md)
* [Set-RASTheme](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastheme.md)
* [Remove-RASTheme](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastheme.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastheme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
